<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="uoms"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idUom"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['uom-popup-new-list', idUomType] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.id'|translate}}" field="idUom" [editable]="true" 
                [style]="{'width': '140px'}">
        </p-column>
        <p-column header="{{'mpmApp.uom.description'|translate}}" field="description" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.uom.abbreviation'|translate}}" field="abbreviation" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.uom.uomType'|translate}}" *ngIf="idUomType === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.uomTypeId">
                    <a [routerLink]="['../uom-type', rowData.uomTypeId  ]" >{{rowData.uomTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'uom/'+ rowData.idUom + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idUom)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
